Get live events for a sport (v1)
Returns every event in play for sport with live scores, status, teams and tournament. Nothing in play returns an empty list.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
sport?string
Sport, such as football, tennis, cricket or basketball.
Default
"football"Value in
- "football"
- "tennis"
- "basketball"
- "cricket"
- "ice-hockey"
- "baseball"
- "american-football"
- "volleyball"
- "handball"
- "rugby"
- "esports"
- "table-tennis"
- "badminton"
- "darts"
- "snooker"
- "futsal"
- "aussie-rules"
- "waterpolo"
- "floorball"
- "bandy"
- "minifootball"
- "padel"
curl -X GET "https://example.com/v1/sofascore/events/live" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "count": 0, "has_more": true, "events": [ { "id": 0, "slug": "string", "sport": "string", "start_time": "string", "status": { "code": 0, "type": "string", "description": "string" }, "home": { "id": 0, "name": "string", "short_name": "string", "slug": "string", "name_code": "string", "national": true, "gender": "string", "country": { "code": "string", "name": "string" }, "ranking": 0 }, "away": { "id": 0, "name": "string", "short_name": "string", "slug": "string", "name_code": "string", "national": true, "gender": "string", "country": { "code": "string", "name": "string" }, "ranking": 0 }, "home_score": { "current": 0, "display": 0, "periods": { "property1": 0, "property2": 0 }, "tiebreaks": { "property1": 0, "property2": 0 }, "normal_time": 0, "overtime": 0, "penalties": 0, "point": "string", "innings": { "property1": { "score": 0, "wickets": 0, "overs": 0, "run_rate": 0, "target_run_rate": 0 }, "property2": { "score": 0, "wickets": 0, "overs": 0, "run_rate": 0, "target_run_rate": 0 } } }, "away_score": { "current": 0, "display": 0, "periods": { "property1": 0, "property2": 0 }, "tiebreaks": { "property1": 0, "property2": 0 }, "normal_time": 0, "overtime": 0, "penalties": 0, "point": "string", "innings": { "property1": { "score": 0, "wickets": 0, "overs": 0, "run_rate": 0, "target_run_rate": 0 }, "property2": { "score": 0, "wickets": 0, "overs": 0, "run_rate": 0, "target_run_rate": 0 } } }, "winner": "home", "tournament": { "id": 0, "name": "string", "slug": "string", "stage": "string", "category": { "id": 0, "name": "string", "slug": "string", "sport": "string", "country": { "code": "string", "name": "string" } } }, "season": { "id": 0, "name": "string", "year": "string" }, "round": 0, "round_name": "string", "venue": { "name": "string", "city": "string", "country": { "code": "string", "name": "string" }, "capacity": 0 }, "referee": "string", "first_to_serve": "home", "note": "string" } ], "sport": "string" }, "details": { "reason": "string", "message": "string" }}